Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor.impl
Class UnionSurvivorStrategy

    java.lang.Object
      com.sun.mdm.index.survivor.impl.UnionSurvivorStrategy

All Implemented Interfaces:
  SurvivorStrategyInterface

public class UnionSurvivorStrategy
extends java.lang.Object
implements SurvivorStrategyInterface

Unions the values from each SystemObject and return it as a collection

Constructor Summary
`UnionSurvivorStrategy()` Creates a new instance of UnionSurvivorStrategy

Method Summary
`java.lang.Object` | `clone()`
`void` | `init(java.util.Collection parameters)`
`SystemField` | `selectField(java.lang.String candidateId, SystemFieldListMap fields)` Unions the values from each SystemObject and return it as a collection

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionSurvivorStrategy

    public UnionSurvivorStrategy()

  Creates a new instance of UnionSurvivorStrategy

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `SurvivorStrategyInterface`
  Returns:
    shallow clone
  Throws:
    `java.lang.CloneNotSupportedException` - cloning is not supported

### init

    public void init(java.util.Collection parameters)
              throws StrategyCreationException

  Description copied from interface: `SurvivorStrategyInterface`
  Initializes the survivor strategy object. Call this method after creating the object.

  Specified by:
    `init` in interface `SurvivorStrategyInterface`
  Parameters:
    `parameters` - The parameters given in the Best Record configuration file.
  Returns:
    `void` - None.
  Throws:
    `StrategyCreationException` - Thrown if the strategy cannot be initialized.
  See Also:
    `SurvivorStrategyInterface.init(java.util.Collection)`

### selectField

    public SystemField selectField(java.lang.String candidateId,
                                   SystemFieldListMap fields)
                            throws SurvivorCalculationException

  Unions the values from each SystemObject and return it as a collection

  Specified by:
    `selectField` in interface `SurvivorStrategyInterface`
  Parameters:
    `candidateId` - The candidate field name.
    `fields` - The mapping of a system fields list to a system key.
  Returns:
    `SystemField` - The value of the field that has been selected to populate the SBR. This method returns null if the new value cannot be determined and the original candidate value should be used.
  Throws:
    `SurvivorCalculationException` - Thrown if there is an error with the calculation configuration.
  See Also:
    `SurvivorStrategyInterface.selectField(java.lang.String, com.sun.mdm.index.survivor.SystemFieldListMap)`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.